[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.AdjustClientRect

Adjusts the client rectangle when the tool bar is drawn.

## Declaration

Source position: comctrls.pp line 2333

`protected procedure TToolBar.AdjustClientRect(`
`var ARect: TRect`
`); override;`

## Arguments

`ARect` |  | Rectangle with the client display area.

## Description

AdjustClientRect is an overridden method in TToolBar used to adjust the display area in ARect for the tool bar when the control is drawn.

It calls the inherited method on entry to shrink ARect when values have been specified in the EdgeBorders, EdgeInner, and EdgeOuter properties. It also increases the left coordinate for the rectangle by the value specified in the Indent property.

AdjustClientRect is called from the AlignControls and WrapButtons methods.

## See also

TToolBar.EdgeBorders |  | Indicates which edges on the tool bar are drawn with a border.
TToolBar.EdgeInner |  | Specifies the drawing style used for the inner border of the control.
TToolBar.EdgeOuter |  | Specifies the drawing style used for the outer border of the control.
TToolBar.Indent |  | Number of pixels reserved as indentation spacing before buttons and controls on the tool bar.
TToolBar.AlignControls |  | Performs actions to align the tool bar buttons in the specified rectangle.
TToolBar.WrapButtons |  | Adjusts tool button sizes and positions, and handles wrapping to new rows or columns.
TWinControl.AdjustClientRect |  | Override this method when the ClientRect for a control differs from the default value.